import xmltodict


from rosreestrXml.Test.TestCountours.add_tools.helper_geometry import createGeometry, createGeometryGdal, BuildPolygon

path_source=r"E:\Support\AxiomaTesting\ImprtXml\result (29)\test_contour.xml"
path_tab=r"E:\Support\AxiomaTesting\ImprtXml\result (29)\tab_contours_2.tab"
xml_data=None
cs=None

with open(path_source, 'r') as xml_file:
    xml_data = xml_file.read()
data_dict = xmltodict.parse(xml_data)

id=0
cls_polygons=BuildPolygon()
for contour in data_dict['contours']['contour']:
    contour_number=int(contour['number_pp'])
    if contour_number!=2:
        continue
    id=0
    obj_elements=contour['entity_spatial']['spatials_elements']
    obj_spatial_element=obj_elements['spatial_element']
    temp_list=obj_spatial_element
    if not isinstance(obj_spatial_element,list):
        temp_list=[obj_spatial_element]
    jkl=0
    for spatiel_element in temp_list:
        if not isinstance(spatiel_element,dict):
            continue
        polygon=createGeometryGdal(spatiel_element)
        if polygon is not None:
            cls_polygons.add(polygon)
cls_polygons.prepare()
print("end")
